| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
GaudiTest.BlockSkipper Class Reference
Inheritance diagram for GaudiTest.BlockSkipper:
[legend]
Collaboration diagram for GaudiTest.BlockSkipper:
[legend]

## Public Member Functions
def | __init__ (self, start, end)
def | __processLine__ (self, line)
Public Member Functions inherited from GaudiTest.FilePreprocessor
def | __processLine__ (self, line)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| start
| end

## Private Attributes
| _skipping

## Detailed Description

Definition at line 448 of file GaudiTest.py.

## Constructor & Destructor Documentation

def GaudiTest.BlockSkipper.__init__ | ( |  | self,
|  |  | start,
|  |  | end
| ) |  |

Definition at line 449 of file GaudiTest.py.

449 def __init__(self, start, end):
450 self.start = start
451 self.end = end
452 self._skipping = False
453
GaudiTest.BlockSkipper.end
end
Definition: GaudiTest.py:451
GaudiTest.BlockSkipper.start
start
Definition: GaudiTest.py:450
GaudiTest.BlockSkipper._skipping
_skipping
Definition: GaudiTest.py:452
GaudiTest.BlockSkipper.__init__
def __init__(self, start, end)
Definition: GaudiTest.py:449

## Member Function Documentation

def GaudiTest.BlockSkipper.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 454 of file GaudiTest.py.

454 def __processLine__(self, line):
455 if self.start in line:
456 self._skipping = True
457 return None
458 elif self.end in line:
459 self._skipping = False
460 elif self._skipping:
461 return None
462 return line
463
GaudiTest.BlockSkipper.end
end
Definition: GaudiTest.py:451
GaudiTest.BlockSkipper.start
start
Definition: GaudiTest.py:450
GaudiTest.BlockSkipper.__processLine__
def __processLine__(self, line)
Definition: GaudiTest.py:454
GaudiTest.BlockSkipper._skipping
_skipping
Definition: GaudiTest.py:452

## Member Data Documentation

GaudiTest.BlockSkipper._skipping
| private

Definition at line 452 of file GaudiTest.py.

GaudiTest.BlockSkipper.end

Definition at line 451 of file GaudiTest.py.

GaudiTest.BlockSkipper.start

Definition at line 450 of file GaudiTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/qmtest_classes/GaudiTest.py